Bug 310025 - Kmail crashing when started
Summary: Kmail crashing when started
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail2
Classification: Unclassified
Component: general (show other bugs)
Version: 4.9.3
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-13 13:24 UTC by Georg Greve
Modified: 2017-01-07 21:45 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Georg Greve 2012-11-13 13:24:55 UTC
Application: kmail (4.9.3)
KDE Platform Version: 4.9.3
Qt Version: 4.8.3
Operating System: Linux 3.6.6-1.fc17.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
- What I was doing when the application crashed:

I stared Kmail.

Suspect this is triggered by Akonadi issues, as MySQL dies underneath Akonadi regularly. But then Kmail should then simply tell the user that Akonadi does not work, it should defintely not segfault.

The crash can be reproduced every time.

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7ff33e1b1880 (LWP 8353))]

Thread 5 (Thread 0x7ff332c55700 (LWP 8357)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00000035d081677d in WTF::TCMalloc_PageHeap::scavengerThread (this=0x35d1200980) at wtf/FastMalloc.cpp:2495
#2  0x00000035d0816889 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at wtf/FastMalloc.cpp:1618
#3  0x00000032ccc07d14 in start_thread (arg=0x7ff332c55700) at pthread_create.c:309
#4  0x00000032cc0f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7ff332354700 (LWP 8358)):
#0  0x00000032ccc0e0ad in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00000032cf482cdf in read (__nbytes=16, __buf=0x7ff332353b40, __fd=<optimized out>) at /usr/include/bits/unistd.h:45
#2  g_wakeup_acknowledge (wakeup=0x18a0ec0) at gwakeup.c:212
#3  0x00000032cf447679 in g_main_context_check (context=context@entry=0x7ff32c0009a0, max_priority=2147483647, fds=fds@entry=0x7ff32c0029c0, n_fds=n_fds@entry=1) at gmain.c:2980
#4  0x00000032cf447a92 in g_main_context_iterate (context=context@entry=0x7ff32c0009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3143
#5  0x00000032cf447c14 in g_main_context_iteration (context=0x7ff32c0009a0, may_block=1) at gmain.c:3207
#6  0x0000003c765a5ff6 in QEventDispatcherGlib::processEvents (this=0x7ff32c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x0000003c76576cbf in QEventLoop::processEvents (this=this@entry=0x7ff332353d00, flags=...) at kernel/qeventloop.cpp:149
#8  0x0000003c76576f48 in QEventLoop::exec (this=0x7ff332353d00, flags=...) at kernel/qeventloop.cpp:204
#9  0x0000003c764787e0 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#10 0x0000003c7647b7bc in QThreadPrivate::start (arg=0x1d248b0) at thread/qthread_unix.cpp:338
#11 0x00000032ccc07d14 in start_thread (arg=0x7ff332354700) at pthread_create.c:309
#12 0x00000032cc0f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7ff2ebfff700 (LWP 8359)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:218
#1  0x0000003c7647bc77 in wait (time=30000, this=0x1dd3040) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1dd5cd8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003c7646f4ff in QThreadPoolThread::run (this=0x1de3a60) at concurrent/qthreadpool.cpp:141
#4  0x0000003c7647b7bc in QThreadPrivate::start (arg=0x1de3a60) at thread/qthread_unix.cpp:338
#5  0x00000032ccc07d14 in start_thread (arg=0x7ff2ebfff700) at pthread_create.c:309
#6  0x00000032cc0f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7ff2eadd9700 (LWP 8363)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:218
#1  0x0000003c7647bc77 in wait (time=30000, this=0x21b22f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x21b2298, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003c7646f4ff in QThreadPoolThread::run (this=0x21b2510) at concurrent/qthreadpool.cpp:141
#4  0x0000003c7647b7bc in QThreadPrivate::start (arg=0x21b2510) at thread/qthread_unix.cpp:338
#5  0x00000032ccc07d14 in start_thread (arg=0x7ff2eadd9700) at pthread_create.c:309
#6  0x00000032cc0f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7ff33e1b1880 (LWP 8353)):
[KCrash Handler]
#6  QSortFilterProxyModelPrivate::updateChildrenMapping (this=this@entry=0x1c7c5e0, source_parent=..., parent_mapping=parent_mapping@entry=0x237e490, orient=orient@entry=Qt::Vertical, start=start@entry=0, end=end@entry=0, delta_item_count=delta_item_count@entry=1, remove=remove@entry=false) at itemviews/qsortfilterproxymodel.cpp:948
#7  0x00000035c6f54cfe in QSortFilterProxyModelPrivate::source_items_inserted (this=this@entry=0x1c7c5e0, source_parent=..., start=0, end=0, orient=orient@entry=Qt::Vertical) at itemviews/qsortfilterproxymodel.cpp:745
#8  0x00000035c6f551ff in QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x1c7c5e0, source_parent=..., start=<optimized out>, end=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:1281
#9  0x0000003c7658e71f in QMetaObject::activate (sender=0x1c6d150, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff2a835b40) at kernel/qobject.cpp:3547
#10 0x0000003c765d6ed4 in QAbstractItemModel::rowsInserted (this=<optimized out>, _t1=..., _t2=0, _t3=0) at .moc/release-shared/moc_qabstractitemmodel.cpp:196
#11 0x0000003c7657287d in QAbstractItemModel::endInsertRows (this=0x1c6d150) at kernel/qabstractitemmodel.cpp:2433
#12 0x00000035c6f515d4 in QSortFilterProxyModelPrivate::insert_source_items (this=this@entry=0x1c20e90, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., orient=orient@entry=Qt::Vertical, emit_signal=emit_signal@entry=true) at itemviews/qsortfilterproxymodel.cpp:695
#13 0x00000035c6f5596f in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x1c20e90, source_top_left=..., source_bottom_right=...) at itemviews/qsortfilterproxymodel.cpp:1201
#14 0x0000003c7657fdb7 in QMetaMethod::invoke (this=this@entry=0x7fff2a836040, object=object@entry=0x1c6d150, connectionType=connectionType@entry=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1664
#15 0x0000003c7658218c in QMetaObject::invokeMethod (obj=0x1c6d150, member=<optimized out>, type=Qt::DirectConnection, ret=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1179
#16 0x0000003553e0acf0 in invokeMethod (val9=..., val8=..., val7=..., val6=..., val5=..., val4=..., val3=..., val2=..., val1=..., val0=..., type=Qt::DirectConnection, member=0x3553fa2b2b "_q_sourceDataChanged", obj=<optimized out>) at /usr/include/QtCore/qobjectdefs.h:418
#17 invokeDataChanged (bottomRight=..., topLeft=..., this=0x1c62350) at /usr/src/debug/kdelibs-4.9.3/kdeui/itemviews/krecursivefilterproxymodel.cpp:55
#18 KRecursiveFilterProxyModelPrivate::refreshAscendantMapping (this=this@entry=0x1c62350, index=..., refreshAll=refreshAll@entry=false) at /usr/src/debug/kdelibs-4.9.3/kdeui/itemviews/krecursivefilterproxymodel.cpp:169
#19 0x0000003553e0b34b in KRecursiveFilterProxyModelPrivate::sourceRowsInserted (this=0x1c62350, source_parent=..., start=<optimized out>, end=0) at /usr/src/debug/kdelibs-4.9.3/kdeui/itemviews/krecursivefilterproxymodel.cpp:211
#20 0x0000003c7658e71f in QMetaObject::activate (sender=0x1b1c620, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff2a836840) at kernel/qobject.cpp:3547
#21 0x0000003c765d6ed4 in QAbstractItemModel::rowsInserted (this=<optimized out>, _t1=..., _t2=0, _t3=0) at .moc/release-shared/moc_qabstractitemmodel.cpp:196
#22 0x0000003c7657287d in QAbstractItemModel::endInsertRows (this=0x1b1c620) at kernel/qabstractitemmodel.cpp:2433
#23 0x0000003c7658e71f in QMetaObject::activate (sender=0x1c378c0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff2a836a00) at kernel/qobject.cpp:3547
#24 0x0000003c765d6ed4 in QAbstractItemModel::rowsInserted (this=<optimized out>, _t1=..., _t2=0, _t3=0) at .moc/release-shared/moc_qabstractitemmodel.cpp:196
#25 0x0000003c7657287d in QAbstractItemModel::endInsertRows (this=0x1c378c0) at kernel/qabstractitemmodel.cpp:2433
#26 0x0000003c7658e71f in QMetaObject::activate (sender=0x1a8cfe0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff2a836bc0) at kernel/qobject.cpp:3547
#27 0x0000003c765d6ed4 in QAbstractItemModel::rowsInserted (this=<optimized out>, _t1=..., _t2=0, _t3=0) at .moc/release-shared/moc_qabstractitemmodel.cpp:196
#28 0x0000003c7657287d in QAbstractItemModel::endInsertRows (this=0x1a8cfe0) at kernel/qabstractitemmodel.cpp:2433
#29 0x00000035c6f515d4 in QSortFilterProxyModelPrivate::insert_source_items (this=this@entry=0x1b18950, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., orient=orient@entry=Qt::Vertical, emit_signal=emit_signal@entry=true) at itemviews/qsortfilterproxymodel.cpp:695
#30 0x00000035c6f54e78 in QSortFilterProxyModelPrivate::source_items_inserted (this=this@entry=0x1b18950, source_parent=..., start=<optimized out>, end=<optimized out>, orient=orient@entry=Qt::Vertical) at itemviews/qsortfilterproxymodel.cpp:806
#31 0x00000035c6f551ff in QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x1b18950, source_parent=..., start=<optimized out>, end=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:1281
#32 0x0000003c7658e71f in QMetaObject::activate (sender=0x19e8180, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff2a836f20) at kernel/qobject.cpp:3547
#33 0x0000003c765d6ed4 in QAbstractItemModel::rowsInserted (this=<optimized out>, _t1=..., _t2=0, _t3=0) at .moc/release-shared/moc_qabstractitemmodel.cpp:196
#34 0x0000003c7657287d in QAbstractItemModel::endInsertRows (this=0x19e8180) at kernel/qabstractitemmodel.cpp:2433
#35 0x0000003557b058eb in Akonadi::EntityTreeModelPrivate::collectionsFetched (this=0x18801b0, collections=...) at /usr/src/debug/kdepimlibs-4.9.3/akonadi/entitytreemodel_p.cpp:477
#36 0x0000003c7658e71f in QMetaObject::activate (sender=0x232fc80, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff2a837320) at kernel/qobject.cpp:3547
#37 0x0000003557ab9692 in Akonadi::CollectionFetchJob::collectionsReceived (this=this@entry=0x232fc80, _t1=...) at /usr/src/debug/kdepimlibs-4.9.3/x86_64-redhat-linux-gnu/akonadi/collectionfetchjob.moc:108
#38 0x0000003557ab9c3b in timeout (this=0x233f4f0) at /usr/src/debug/kdepimlibs-4.9.3/akonadi/collectionfetchjob.cpp:76
#39 Akonadi::CollectionFetchJob::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kdepimlibs-4.9.3/x86_64-redhat-linux-gnu/akonadi/collectionfetchjob.moc:58
#40 0x0000003c7658e71f in QMetaObject::activate (sender=0x232d210, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#41 0x0000003c7658c69c in QObject::event (this=0x232d210, e=<optimized out>) at kernel/qobject.cpp:1157
#42 0x00000035c69ca4ac in QApplicationPrivate::notify_helper (this=this@entry=0x183b3c0, receiver=receiver@entry=0x232d210, e=e@entry=0x7fff2a837ad0) at kernel/qapplication.cpp:4557
#43 0x00000035c69ce92a in QApplication::notify (this=0x7fff2a8380d0, receiver=0x232d210, e=0x7fff2a837ad0) at kernel/qapplication.cpp:4418
#44 0x0000003553e468a6 in KApplication::notify (this=0x7fff2a8380d0, receiver=0x232d210, event=0x7fff2a837ad0) at /usr/src/debug/kdelibs-4.9.3/kdeui/kernel/kapplication.cpp:311
#45 0x0000003c76577f6e in QCoreApplication::notifyInternal (this=0x7fff2a8380d0, receiver=0x232d210, event=0x7fff2a837ad0) at kernel/qcoreapplication.cpp:915
#46 0x0000003c765a8842 in sendEvent (event=0x7fff2a837ad0, receiver=<optimized out>) at kernel/qcoreapplication.h:231
#47 QTimerInfoList::activateTimers (this=0x183fe90) at kernel/qeventdispatcher_unix.cpp:611
#48 0x0000003c765a5964 in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:186
#49 timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:180
#50 0x0000003c765a5981 in idleTimerSourceDispatch (source=source@entry=0x189b360) at kernel/qeventdispatcher_glib.cpp:233
#51 0x00000032cf447825 in g_main_dispatch (context=0x183fd40) at gmain.c:2539
#52 g_main_context_dispatch (context=context@entry=0x183fd40) at gmain.c:3075
#53 0x00000032cf447b58 in g_main_context_iterate (context=context@entry=0x183fd40, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
#54 0x00000032cf447c14 in g_main_context_iteration (context=0x183fd40, may_block=1) at gmain.c:3207
#55 0x0000003c765a5fd6 in QEventDispatcherGlib::processEvents (this=0x17a6af0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#56 0x00000035c6a6a48e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#57 0x0000003c76576cbf in QEventLoop::processEvents (this=this@entry=0x7fff2a837d50, flags=...) at kernel/qeventloop.cpp:149
#58 0x0000003c76576f48 in QEventLoop::exec (this=0x7fff2a837d50, flags=...) at kernel/qeventloop.cpp:204
#59 0x0000003c7657bd38 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#60 0x0000000000402e22 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kdepim-4.9.3/kmail/main.cpp:148

Possible duplicates by query: bug 289310.

Reported using DrKonqi
Comment 1 Denis Kurz 2016-09-24 17:59:18 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kmail2 (version 5.0 or later, as part of KDE Applications 15.12 or later), it gets closed in about three months.
Comment 2 Denis Kurz 2017-01-07 21:45:34 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.